## rocs 17.12.3

=== libgraphtheory/fileformats/tgf/CMakeLists.txt ===
# Copyright 2012-2014  Andreas Cord-Landwehr <cordlandwehr@kde.org>
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
# OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
# IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
# INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
# NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
# THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

set(tgfformat_SRCS
    tgffileformat.cpp
    ../../logging.cpp
)

add_library(tgffileformat MODULE ${tgfformat_SRCS})

target_link_libraries(tgffileformat
    rocsgraphtheory
)

install(TARGETS tgffileformat DESTINATION ${PLUGIN_INSTALL_DIR}/rocs/fileformats)

ecm_optional_add_subdirectory(autotests)

=== libgraphtheory/fileformats/tikz/CMakeLists.txt ===
# Copyright 2012-2014  Andreas Cord-Landwehr <cordlandwehr@kde.org>
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
# OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
# IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
# INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
# NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
# THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

set(tikzformat_SRCS
    tikzfileformat.cpp
    ../../logging.cpp
)

add_library(tikzfileformat MODULE ${tikzformat_SRCS})

target_link_libraries(tikzfileformat
    rocsgraphtheory
)

install(TARGETS tikzfileformat DESTINATION ${PLUGIN_INSTALL_DIR}/rocs/fileformats)

ecm_optional_add_subdirectory(autotests)

=== libgraphtheory/fileformats/rocs1/autotests/CMakeLists.txt ===
# Copyright 2012-2014  Andreas Cord-Landwehr <cordlandwehr@kde.org>
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
# OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
# IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
# INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
# NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
# THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

# get generated *.json plugin file
include_directories(${CMAKE_CURRENT_BINARY_DIR}/../)

set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})
set(testrocs1fileformat_SRCS
    testrocs1fileformat.cpp
    ../rocs1fileformat.cpp
    ../../../logging.cpp
)
add_executable(TestRocs1FileFormat ${testrocs1fileformat_SRCS})
add_test(TestRocs1FileFormat TestRocs1FileFormat)
ecm_mark_as_test(TestRocs1FileFormat)
target_link_libraries(TestRocs1FileFormat
    rocsgraphtheory
    Qt5::Test
)

=== debian/changelog ===
rocs (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:34:38 +0000

rocs (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 17:03:43 +0000

rocs (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:14:11 +0000

=== debian/control ===
Source: rocs
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
           Pino Toscano <pino@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0.0~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libboost-dev (>= 1.49~),
               libboost-graph-dev,
               libgrantlee5-dev (>= 5.0.0~),
               libkf5archive-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5crash-dev (>= 5.31.0~),
               libkf5declarative-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5itemviews-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5texteditor-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libqt5svg5-dev (>= 5.6.1~),
               libqt5webkit5-dev (>= 5.4),
               libqt5xmlpatterns5-dev (>= 5.6.1~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
               qtscript5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/kdeedu/rocs
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/rocs
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/rocs

Package: rocs
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: graph theory IDE
 Rocs aims to be a Graph Theory IDE for helping professors to show the results
 of a graph algorithm and also helping students to do the algorithms.
 .
 Rocs has a scripting module, done in Qt Script, that interacts with the drawn
 graph and every change in the graph with the script is reflected on the drawn
 one.
 .
 This package is part of the KDE education module.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp

.PHONY: override_dh_auto_test

## rocs 18.04.3

=== debian/changelog ===
rocs (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:24:26 +0100

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.6.1~),
                qtdeclarative5-dev (>= 5.6.1~),
-               qtscript5-dev (>= 5.6.1~)
+               qtscript5-dev (>= 5.6.1~),
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/kdeedu/rocs
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/rocs

## rocs 18.12.3

=== debian/changelog ===
rocs (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:36:01 +0000

rocs (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:22:59 +0000

rocs (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:16:16 +0000

rocs (4:18.12.0-0ubuntu2) disco; urgency=medium

  * Disable test that needs fixing upstream.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 23:51:07 +0000

rocs (4:18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:54:31 +0000

rocs (4:18.08.3-0ubuntu1) disco; urgency=medium

  [ Rik Mills ]
  * New upstream release (18.08.0)
  * New upstream release (18.08.3)

  [ José Manuel Santamaría Lema ]
  * Merge with debian, remaining changes:
    - keep l10npkgs_firstversion_ok := 4:17.03.90-0~

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 26 Dec 2018 17:46:24 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Eshat Cakar <info@eshat.de>,
            Pino Toscano <pino@debian.org>,
-           Maximiliano Curia <maxy@debian.org>
+           Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 3.0.0~),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
@@ -19,7 +19,6 @@
                libkf5doctools-dev (>= 5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5itemviews-dev (>= 5.31.0~),
-               libkf5kio-dev (>= 5.31.0~),
                libkf5texteditor-dev (>= 5.31.0~),
                libkf5xmlgui-dev (>= 5.31.0~),
                libqt5svg5-dev (>= 5.6.1~),
@@ -29,10 +28,10 @@
                qtbase5-dev (>= 5.6.1~),
                qtdeclarative5-dev (>= 5.6.1~),
                qtscript5-dev (>= 5.6.1~),
-Standards-Version: 3.9.6
+Standards-Version: 4.1.1
 Homepage: https://projects.kde.org/projects/kde/kdeedu/rocs
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/rocs
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/rocs
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/rocs
 
 Package: rocs
 Architecture: any

## rocs 19.04.3

=== debian/changelog ===
rocs (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:21:40 +0100

rocs (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:17:31 +0100

rocs (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 21:05:09 +0100

rocs (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.0)
  * Skip tests for now.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:50:25 +0100

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,8 @@
 include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
 
 override_dh_auto_install:
-	$(overridden_command) --destdir=debian/tmp
+	$(overridden_command)
+	rm -rf debian/rocs/usr/include/
+	find debian/rocs -name '*.so' -type l -delete
 
 .PHONY: override_dh_auto_test

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus, xserver-xephyr, libgl1-mesa-dri
#Restrictions: build-needed

## rocs 19.08.2

=== debian/changelog ===
rocs (4:19.08.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Switch Vcs-* fields to salsa.debian.org.
  * Add the configuration for the CI on salsa.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.3.0
    - explicitly add gettext
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages.
  * Use https for Format in copyright.
  * Pass -DBUILD_TESTING=OFF to cmake to disable the build of tests, as they
    are not run at build time anyway.

 -- Pino Toscano <pino@debian.org>  Fri, 11 Oct 2019 11:06:09 +0200

## rocs 19.12.3

=== CMakeLists.txt ===
##
#   This file is part of Rocs.
#   Copyright 2008-2011  Tomaz Canabrava <tomaz.canabrava@gmail.com>
#   Copyright 2010       Wagner Reck <wagner.reck@gmail.com>
#   Copyright 2011-2014  Andreas Cord-Landwehr <cordlandwehr@kde.org>
#
#   This program is free software; you can redistribute it and/or
#   modify it under the terms of the GNU General Public License as
#   published by the Free Software Foundation; either version 2 of
#   the License, or (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program.  If not, see <http://www.gnu.org/licenses/>.
##

project(rocs)
cmake_minimum_required(VERSION 3.3)

# KDE Application Version, managed by release script
set(KDE_APPLICATIONS_VERSION_MAJOR "19")
set(KDE_APPLICATIONS_VERSION_MINOR "12")
set(KDE_APPLICATIONS_VERSION_MICRO "3")
set(KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")

find_package(ECM 5.15.0 REQUIRED NO_MODULE)
find_package(KF5DocTools)
find_package(Boost "1.49" REQUIRED)
find_package(Grantlee5 "5.0.0" REQUIRED)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
include(ECMAddAppIcon)
include(ECMAddTests)
include(ECMInstallIcons)
include(ECMOptionalAddSubdirectory)
include(ECMSetupVersion)
include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(FeatureSummary)
include(GenerateExportHeader)

find_package(Qt5 5.4 REQUIRED NO_MODULE COMPONENTS
    Core
    Gui
    QuickWidgets
    Script
    WebKit
    WebKitWidgets
    Widgets
    ScriptTools
    Svg
    Test
    XmlPatterns
)
find_package(KF5 5.15 REQUIRED COMPONENTS
    Archive
    Config
    CoreAddons
    Crash
    Declarative
    I18n
    ItemViews
    TextEditor
    XmlGui
)

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_SOURCE_DIR}
    ${CMAKE_BINARY_DIR}
    ${Boost_INCLUDE_DIRS}
)

add_definitions(-DQT_NO_CAST_TO_ASCII)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
remove_definitions(-DQT_NO_CAST_FROM_ASCII)
remove_definitions(-DQT_NO_CAST_FROM_BYTEARRAY)
remove_definitions(-DQT_NO_KEYWORDS)

if(NOT KF5Declarative_VERSION VERSION_LESS "5.45")
    add_definitions(-DKDECLARATIVE_HAVE_SETCONTEXT=1)
else()
    add_definitions(-DKDECLARATIVE_HAVE_SETCONTEXT=0)
endif()

ecm_optional_add_subdirectory(libgraphtheory)
ecm_optional_add_subdirectory(src)
ecm_optional_add_subdirectory(icons)
if(KF5DocTools_FOUND)
    ecm_optional_add_subdirectory(doc)
endif()

set_package_properties(Boost PROPERTIES DESCRIPTION "Boost C++ Libraries" URL "http://www.boost.org")
feature_summary(WHAT ALL)

install(FILES org.kde.rocs.appdata.xml DESTINATION ${CMAKE_INSTALL_METAINFODIR})
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== libgraphtheory/CMakeLists.txt ===
# Copyright 2014  Andreas Cord-Landwehr <cordlandwehr@kde.org>
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
# OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
# IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
# INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
# NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
# THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

include_directories(
    ./
)

add_definitions(-DTRANSLATION_DOMAIN=\"libgraphtheory\")

set(graphtheory_SRCS
    edge.cpp
    edgetype.cpp
    edgetypestyle.cpp
    graphdocument.cpp
    logging.cpp
    node.cpp
    nodetype.cpp
    nodetypestyle.cpp
    editor.cpp
    view.cpp
    dialogs/nodeproperties.cpp
    dialogs/edgeproperties.cpp
    dialogs/nodetypeproperties.cpp
    dialogs/edgetypeproperties.cpp
    dialogs/propertieswidget.cpp
    dialogs/propertydelegate.cpp
    kernel/documentwrapper.cpp
    kernel/nodewrapper.cpp
    kernel/edgewrapper.cpp
    kernel/kernel.cpp
    kernel/modules/console/consolemodule.cpp
    models/nodemodel.cpp
    models/edgemodel.cpp
    models/nodepropertymodel.cpp
    models/edgepropertymodel.cpp
    models/nodetypemodel.cpp
    models/nodetypepropertymodel.cpp
    models/edgetypemodel.cpp
    models/edgetypepropertymodel.cpp
    modifiers/valueassign.cpp
    modifiers/topology.cpp
    fileformats/fileformatinterface.cpp
    fileformats/fileformatmanager.cpp
    editorplugins/editorplugininterface.cpp
    editorplugins/editorpluginmanager.cpp
    qtquickitems/nodeitem.cpp
    qtquickitems/edgeitem.cpp
    qtquickitems/qsgarrowheadnode.cpp
    qtquickitems/qsglinenode.cpp
)
qt5_add_resources(graphtheory_SRCS qml/rocs.qrc)

ki18n_wrap_ui(graphtheory_SRCS
    dialogs/nodeproperties.ui
    dialogs/edgeproperties.ui
)

add_library(rocsgraphtheory SHARED ${graphtheory_SRCS} )
generate_export_header(rocsgraphtheory BASE_NAME graphtheory)

target_link_libraries(rocsgraphtheory
    PUBLIC
        Qt5::Core
        Qt5::Quick
        Qt5::QuickWidgets
        Qt5::Gui
        Qt5::Script
        Qt5::ScriptTools
        KF5::I18n
        KF5::ItemViews
        KF5::Declarative
        KF5::XmlGui
        KF5::Service
)

set(rocscore_LIB_HDRS
    edge.h
    graphdocument.h
    node.h
)

# KI18N Translation Domain for library
add_definitions(-DTRANSLATION_DOMAIN=\"libgraphtheory\")

# we use SOVERION 0 to make clear that this is neither stable API nor stable ABI
# i.e., the library for now is only used internally in Rocs and we require the exact
# version as released alongside Rocs
set(GRAPHTHEORY_LIB_VERSION "0.0.1")
set(GRAPHTHEORY_LIB_SOVERSION "0")
set_target_properties(
    rocsgraphtheory
    PROPERTIES
#         VERSION ${GRAPHTHEORY_LIB_VERSION}
        SOVERSION ${GRAPHTHEORY_LIB_SOVERSION}
)

install(TARGETS rocsgraphtheory  ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES ${rocscore_LIB_HDRS}  DESTINATION ${INCLUDE_INSTALL_DIR}/rocs  COMPONENT Devel)

# Boost requires exceptions
kde_source_files_enable_exceptions(modifiers/topology.cpp modifiers/valueassign.cpp)

ecm_optional_add_subdirectory(fileformats)
ecm_optional_add_subdirectory(editorplugins)
ecm_optional_add_subdirectory(kernel)
ecm_optional_add_subdirectory(modifiers)
ecm_optional_add_subdirectory(qml)
ecm_optional_add_subdirectory(autotests)
ecm_optional_add_subdirectory(tests)

=== src/CMakeLists.txt ===
##
#   This file is part of Rocs.
#   Copyright 2008-2011  Tomaz Canabrava <tomaz.canabrava@gmail.com>
#   Copyright 2010-2012  Wagner Reck <wagner.reck@gmail.com>
#   Copyright 2011-2014  Andreas Cord-Landwehr <cordlandwehr@kde.org>
#
#   This program is free software; you can redistribute it and/or
#   modify it under the terms of the GNU General Public License as
#   published by the Free Software Foundation; either version 2 of
#   the License, or (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program.  If not, see <http://www.gnu.org/licenses/>.
##

project(rocs)

add_definitions(-DTRANSLATION_DOMAIN=\"rocs\")

ecm_setup_version(KDE_APPLICATIONS_VERSION
    VARIABLE_PREFIX ROCS
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/rocsversion.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/RocsConfigVersion.cmake"
)

ecm_optional_add_subdirectory(plugins)

include_directories(
    ./
)

set( rocs_interface_SRCS
    ui/journalwidget.cpp
    ui/sidedockwidget.cpp
    ui/fileformatdialog.cpp
    ui/mainwindow.cpp
    ui/codeeditorwidget.cpp
    ui/documenttypeswidget.cpp
    ui/grapheditorwidget.cpp
    ui/nodetypesdelegate.cpp
    ui/edgetypesdelegate.cpp
    ui/scriptoutputwidget.cpp
    project/project.cpp
    plugins/scriptapi/scriptapiwidget.cpp
    plugins/scriptapi/object.cpp
    plugins/scriptapi/property.cpp
    plugins/scriptapi/method.cpp
    plugins/scriptapi/parameter.cpp
    plugins/scriptapi/scriptapimanager.cpp
    plugins/scriptapi/scriptapimodel.cpp
)

set(
    rocs_SRCS
    main.cpp
    ${rocs_interface_SRCS}
    ${rocs_script_SRC}
)

ki18n_wrap_ui(
    rocs_SRCS
    ui/journalwidget.ui
    ui/scriptoutputwidget.ui
    plugins/scriptapi/scriptapiwidget.ui
)

kconfig_add_kcfg_files(rocs_Settings_SRCS settings.kcfgc)

# add icon to executable on windows and mac
ecm_add_app_icon(rocs_SRCS
    ICONS
    ${CMAKE_CURRENT_SOURCE_DIR}/../icons/16-apps-rocs.png
    ${CMAKE_CURRENT_SOURCE_DIR}/../icons/22-apps-rocs.png
    ${CMAKE_CURRENT_SOURCE_DIR}/../icons/32-apps-rocs.png
    ${CMAKE_CURRENT_SOURCE_DIR}/../icons/48-apps-rocs.png
    ${CMAKE_CURRENT_SOURCE_DIR}/../icons/64-apps-rocs.png
    ${CMAKE_CURRENT_SOURCE_DIR}/../icons/128-apps-rocs.png
)

add_executable( rocs
    ${rocs_SRCS}
    ${rocs_Settings_SRCS}
)

target_link_libraries(rocs
    PUBLIC
        rocsgraphtheory
        Grantlee5::Templates
        KF5::Archive
        KF5::CoreAddons
        KF5::Crash
        KF5::Declarative
        KF5::I18n
        KF5::ItemViews
        KF5::Parts
        KF5::Service
        KF5::TextEditor
        Qt5::Core
        Qt5::Quick
        Qt5::QuickWidgets
        Qt5::WebKit
        Qt5::WebKitWidgets
        Qt5::XmlPatterns
)

################## INSTALLS ##########################
install(TARGETS rocs ${INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS org.kde.rocs.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install(FILES rocsui.rc DESTINATION ${KXMLGUI_INSTALL_DIR}/rocs)
install(FILES rocs.kcfg DESTINATION ${KCFG_INSTALL_DIR})

ecm_optional_add_subdirectory(plugins/scriptapi)
ecm_optional_add_subdirectory(autotests)

=== libgraphtheory/autotests/CMakeLists.txt ===
# Copyright 2014  Andreas Cord-Landwehr <cordlandwehr@kde.org>
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
# OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
# IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
# INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
# NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
# THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

remove_definitions(-DQT_NO_CAST_FROM_ASCII)

include(ECMMarkAsTest)

find_package(Qt5Test ${REQUIRED_QT_VERSION} CONFIG QUIET)

if(NOT Qt5Test_FOUND)
    message(STATUS "Qt5Test not found, autotests will not be built.")
    return()
endif()

macro(GRAPHTHEORY_UNIT_TESTS)
   foreach(_testname ${ARGN})
      add_executable(${_testname} ${_testname}.cpp)
      add_test(NAME graphtheory-${_testname} COMMAND ${_testname})
      target_link_libraries(${_testname} rocsgraphtheory Qt5::Test Qt5::XmlPatterns )
      ecm_mark_as_test(${_testname})
   endforeach()
endmacro()

graphtheory_unit_tests(
   test_graphoperations
   test_kernel
   test_kernelscriptapi
)

=== src/autotests/CMakeLists.txt ===
# Copyright 2014  Andreas Cord-Landwehr <cordlandwehr@kde.org>
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
# OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
# IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
# INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
# NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
# THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

file(COPY testfiles DESTINATION ${CMAKE_CURRENT_BINARY_DIR})

set(testproject_SRCS
    test_project.cpp
    ../project/project.cpp
)
add_executable(TestProject ${testproject_SRCS})
add_test(NAME TestProject COMMAND TestProject)
ecm_mark_as_test(TestProject)
target_link_libraries(TestProject
    rocsgraphtheory
    KF5::TextEditor
    KF5::Archive
    Qt5::Test
)

=== libgraphtheory/fileformats/tgf/autotests/CMakeLists.txt ===
# Copyright 2012-2014  Andreas Cord-Landwehr <cordlandwehr@kde.org>
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
# OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
# IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
# INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
# NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
# THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
# get generated *.json plugin file
include_directories(${CMAKE_CURRENT_BINARY_DIR}/../)

set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})
set(testtgffileformat_SRCS
    testtgffileformat.cpp
    ../tgffileformat.cpp
    ../../../logging.cpp
)
add_executable(TestTgfFileFormat ${testtgffileformat_SRCS})
add_test(NAME TestTgfFileFormat COMMAND TestTgfFileFormat)
ecm_mark_as_test(TestTgfFileFormat)
target_link_libraries(TestTgfFileFormat
    rocsgraphtheory
    Qt5::Test
)

=== debian/changelog ===
rocs (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:18:43 +0000

rocs (4:19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)
  * Update watch file to the new release-service location.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:27:27 +0000

rocs (4:19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 15:01:54 +0000

rocs (4:19.12.0-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2019 10:55:31 +0000

rocs (4:19.08.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2019 13:40:08 +0000

=== debian/control ===
Source: rocs
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
           Pino Toscano <pino@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 3.3.0~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.15.0~),
               gettext,
               libboost-dev (>= 1.49~),
               libboost-graph-dev,
               libgrantlee5-dev (>= 5.0.0~),
               libkf5archive-dev (>= 5.15~),
               libkf5config-dev (>= 5.15~),
               libkf5coreaddons-dev (>= 5.15~),
               libkf5crash-dev (>= 5.15~),
               libkf5declarative-dev (>= 5.15~),
               libkf5doctools-dev (>= 5.7~),
               libkf5i18n-dev (>= 5.15~),
               libkf5itemviews-dev (>= 5.15~),
               libkf5texteditor-dev (>= 5.15~),
               libkf5xmlgui-dev (>= 5.15~),
               libqt5svg5-dev (>= 5.4),
               libqt5webkit5-dev (>= 5.4),
               libqt5xmlpatterns5-dev (>= 5.4),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.4),
               qtdeclarative5-dev (>= 5.4),
               qtscript5-dev (>= 5.4),
Standards-Version: 4.4.1
Homepage: https://projects.kde.org/projects/kde/kdeedu/rocs
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/rocs.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/rocs

Package: rocs
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: graph theory IDE
 Rocs aims to be a Graph Theory IDE for helping professors to show the results
 of a graph algorithm and also helping students to do the algorithms.
 .
 Rocs has a scripting module, done in Qt Script, that interacts with the drawn
 graph and every change in the graph with the script is reflected on the drawn
 one.
 .
 This package is part of the KDE education module.

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,12 @@
 #!/usr/bin/make -f
 
-l10npkgs_firstversion_ok := 4:17.03.90-0~
+l10npkgs_firstversion_ok := 4:16.04.3-6~
 
 include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
 include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
+
+override_dh_auto_configure:
+	$(overridden_command) -- -DBUILD_TESTING=OFF
 
 override_dh_auto_install:
 	$(overridden_command)

## rocs 20.08.1

=== debian/changelog ===
rocs (4:20.08.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13

 -- Pino Toscano <pino@debian.org>  Thu, 03 Sep 2020 17:47:09 +0200

rocs (4:20.04.3-1) unstable; urgency=medium

  * New upstream release.
  * Add Rules-Requires-Root: no.
  * Depend on qml-module-qtqml-statemachine, needed by the QML bits.
    (Closes: #962531)

 -- Pino Toscano <pino@debian.org>  Fri, 31 Jul 2020 08:41:20 +0200

rocs (4:20.04.0-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file to the new release-service location.
  * Update the build dependencies according to the upstream build system:
    - bump the Qt5 packages to 5.11.0
    - remove libqt5webkit5-dev, no more needed
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - call the right debhelper command instead of $(overridden_command)
    - manually force the generation of the substvars for the kde-l10n breaks
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Bump Standards-Version to 4.5.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 02 May 2020 11:17:55 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            Pino Toscano <pino@debian.org>,
            Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 3.3.0~),
-               debhelper (>= 11~),
+               debhelper-compat (= 13),
                extra-cmake-modules (>= 5.15.0~),
                gettext,
                libboost-dev (>= 1.49~),
@@ -22,14 +22,14 @@
                libkf5itemviews-dev (>= 5.15~),
                libkf5texteditor-dev (>= 5.15~),
                libkf5xmlgui-dev (>= 5.15~),
-               libqt5svg5-dev (>= 5.4),
-               libqt5webkit5-dev (>= 5.4),
-               libqt5xmlpatterns5-dev (>= 5.4),
+               libqt5svg5-dev (>= 5.11.0~),
+               libqt5xmlpatterns5-dev (>= 5.11.0~),
                pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev (>= 5.4),
-               qtdeclarative5-dev (>= 5.4),
-               qtscript5-dev (>= 5.4),
-Standards-Version: 4.4.1
+               qtbase5-dev (>= 5.11.0~),
+               qtdeclarative5-dev (>= 5.11.0~),
+               qtscript5-dev (>= 5.11.0~),
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://projects.kde.org/projects/kde/kdeedu/rocs
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/rocs.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/rocs
@@ -37,7 +37,8 @@
 Package: rocs
 Architecture: any
 Section: math
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
+ qml-module-qtqml-statemachine,
 Breaks: ${kde-l10n:all}
 Replaces: ${kde-l10n:all}
 Description: graph theory IDE
